source 'https://rubygems.org'
ruby '2.6.0'
gem 'rails', '5.2.2'
# TODO Upgrade sprockets
gem 'sprockets', '~> 3.7'
gem 'sass-rails' #, '~> 4.0.3'
gem 'uglifier' #, '>= 1.3.0'
gem 'coffee-rails' #, '~> 4.0.0'
gem 'jquery-rails'
gem 'turbolinks'
gem 'jbuilder' #, '~> 2.0'
gem 'sdoc',          group: :doc #, '~> 0.4.0'
# gem 'spring',        group: :development
gem 'devise'
gem 'devise_invitable'
gem 'haml-rails'
gem 'high_voltage'
gem 'pg'
gem 'puma'
gem 'pundit'
gem 'simple_form'
gem 'upmin-admin'
gem 'dotenv-rails'
gem 'react-rails'
# gem 'react-rails-hot-loader'
group :development do
  gem 'parallel_tests', group: :development
  gem 'better_errors'
  gem 'rubocop', require: false
  gem 'binding_of_caller'
  gem 'capistrano'
  gem 'capistrano-bundler'
  gem 'capistrano-rails'
  gem 'capistrano-rails-console'
  gem 'capistrano3-puma'
  gem 'capistrano-rbenv'
  gem 'capistrano-nginx', github: 'koenpunt/capistrano-nginx'
  gem "capistrano-db-tasks", require: false
  gem "capistrano-postgresql" #, '~> 4.2.0'
  gem 'guard-bundler'
  gem 'guard-rails'
  gem 'guard-rspec'
  gem 'guard-livereload' #, '~> 2.4', require: false
  gem "rack-livereload"
  gem 'html2haml'
  gem 'hub', require: nil
  # gem 'quiet_assets'
  gem 'rails_layout'
  gem 'rb-fchange', require: false
  gem 'rb-fsevent', require: false
  gem 'rb-inotify', require: false
  # gem 'spring-commands-rspec'
  gem 'guard-ctags-bundler'
end
group :development, :test, :staging do
  gem 'factory_girl_rails'
  gem 'faker'
  gem 'pry-rails'
  gem 'pry-rescue'
  gem 'rspec-rails'
end
group :test, :staging do
  gem 'capybara'
  gem 'database_cleaner'
  gem 'launchy'
  gem 'selenium-webdriver'
  gem 'simplecov', :require => false
end
